Name:           keychecker
Version:        1.0
Release:    1%{?dist}
Summary:        Generate list of installed packages sorted by GPG key
License:        GPLv2+
URL:            https://github.com/jds2001/keychecker
Source0:        %{url}/archive/v%{version}.tar.gz

Patch0:         0001-Fix-rpm-4.15-compatibility.patch

BuildArch:      noarch
%if %{undefined el7}
Requires:       python3-rpm
%else
Requires:       rpm-python
%endif


%description
Separately list rpm's based on the GPG key they were signed with


%prep
%autosetup -p 1
%if %{undefined el7}
sed -e '1 s|python|python3|' -i key_checker.py
%endif


%install
install -Dpm 0755 key_checker.py %{buildroot}%{_bindir}/keychecker


%files
%license LICENSE
%doc README
%{_bindir}/keychecker


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-1
- initial build
